Blob Blame Raw
document: modulemd
version: 1
data:
    summary: GNU Autotools (Autoconf and Automake and Libtool)
    description: |
        Autoconf is a tool for configuring source code and Makefiles.
        Automake is a tool for automatically generating Makefile.in
        files compliant with the GNU Coding Standards.
        Libtool is a tool for building shared librires.

        This module has disabled support for Emacs.
    license:
        module: [ MIT ]
    dependencies:
        buildrequires:
            perl: 5.26
            platform: f27
        requires:
            perl: 5.26
            platform: f27
    references:
        community: https://docs.pagure.org/modularity/
        documentation: https://github.com/modularity-modules/autotools
        tracker: https://github.com/modularity-modules/autotools
    profiles:
        default:
            description: Autoconf and Automake tools.
            rpms:
                - autoconf
                - automake
                - libtool
    api:
        rpms:
            - autoconf
            - automake
            - libtool
    filter:
        rpms:
            - help2man
            # libtool-ltdl is provided by platform module
            - libtool-ltdl
            - libtool-ltdl-devel
    buildopts:
        rpms:
            macros: |
                %_without_autoconf_enables_emacs 1
                %_without_autoconf_enables_optional_test 1
                %_without_automake_enables_optional_test 1
    components:
        rpms:
            help2man:
                rationale: Build-time dependency.
                ref: f27
                buildorder: 0
            autoconf:
                rationale: API.
                ref: f27
                buildorder: 1
            automake:
                rationale: API.
                ref: f27
                buildorder: 2
            libtool:
                rationale: API.
                ref: f27
                buildorder: 3